body {
    font-size: 16px;
}

.woocommerce-message {
    border-top-color: #4c4c4c !important;
}
.woocommerce-info {
    border-top-color: #4c4c4c !important;;
}

/* pagina prodotto*/

.qty_button {
    /* border: 2px solid var(--grigiof4); */
    border: 0px solid var(--nero4c) !important;
}

body.single-product form.cart .quantity input.qty {
    border: 0px solid var(--nero4c) !important;
}




.woocommerce table.shop_attributes th {
    font-weight: 400 !important;;
}




.item-product_slick .woo_product_class .div_border, 
#bosica_woo_product_class .div_border {
    margin-bottom: 30px;
}

.woocommerce .onsale {
    display: none;
}


.woocommerce .cart .button, .woocommerce .cart input.button {
    font-weight: 500;
}

/* pagina carrello*/
/*
.woocommerce table.shop_table {
    margin-top: 50px !important;
    border-top: 2px solid #f0f0f0 !important;
    border-radius: 0px !important;
    padding-top: 30px !important;
}

.woocommerce table.shop_table td {
    border-top: 2px solid #f0f0f0 !important;
    padding: 30px 12px !important;
}

.woocommerce-page table.cart td.actions .input-text {
    width: 30% !important;
}

.woocommerce-cart table.cart td.actions .coupon .input-tex
{
    margin: 4px 4px 4px 0px;
}


.woocommerce-cart .wc-proceed-to-checkout a.checkout-button
{
    display: inline-block !important;
    font-weight: 500 !important;
    font-size: 18px !important;
    text-decoration: auto !important;
}

.woocommerce .cart-collaterals, .woocommerce-page .cart-collaterals {
    margin-top: 100px;
}

.woocommerce-cart .cart-collaterals .cart_totals table td, .woocommerce-cart .cart-collaterals .cart_totals table th, .woocommerce-checkout .cart-collaterals .cart_totals table td, .woocommerce-checkout .cart-collaterals .cart_totals table th {
    vertical-align: middle !important;
}
*/

/* pagina checkout*/

/*
.woocommerce form.checkout input,
.woocommerce form.checkout textarea {
    padding: .6180469716em;
    background-color:#fff;
    color: #43454b;
    outline: 0;
    border: 0;
    border-radius: 0px;
    box-sizing: border-box;
    font-weight: 400;
    border:solid 3px #f0f0f0;
}



.select2-container--default .select2-selection--single {
    height: 45px !important;
    background-color: #fff;
    border: 3px solid #f0f0f0 !important;
    border-radius: 0px !important;
    font-weight: 400 !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 38px !important;;
    right: 10px !important;;
}
*/

.woocommerce-form__input-checkbox {
    padding: 5px !important;
    border:solid 3px #f0f0f0 !important;
}

.woocommerce form .form-row .input-checkbox {
    display: inline-block !important;
    margin: -2px 8px 0 0;
    text-align: center;
    padding: 5px !important;
    vertical-align: middle;
}

.woocommerce form .form-row {
    margin: 0 0 20px !important;
}

/*
.woocommerce-cart #payment, .woocommerce-checkout #payment {
    background: #f0f0f0 !important;
    border-radius: 0px !important;
}
*/

#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box {
    background-color: #fff !important;
    color: #4c4c4c !important;
}

#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before.woocommerce-checkout #payment div.payment_box::before {
    content: "";
    display: block;
    border: 1em solid #fff !important;
    border-right-color: transparent;
    border-left-color: transparent;
    border-top-color: transparent;
    position: absolute;
    top: -0.75em;
    left: 0;
    margin: -1em 0 0 2em;
}



.woocommerce-checkout #payment div.payment_box::before {
    content: "";
    display: block;
    border: 1em solid #fff !important;
    border-right-color: transparent !important;
    border-left-color: transparent !important;
    border-top-color: transparent !important;
    position: absolute;
    top: -0.75em;
    left: 0;
    margin: -1em 0 0 2em;
}

.accordion-button {
    background-color: #f0f0f0 !important;
    border: 0px solid !important;
    border-radius: 0px !important;
}



/** modifica stile dropdown filtri**/

.select2-container--open .select2-dropdown--below {
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border: 2px solid #f4f4f4;
    border-radius: 10px;
    margin-top: 1rem;
}

.select2-container--open .select2-dropdown--above {
    border-top-left-radius: 10px !important;
    border-top-right-radius: 10px !important;
    border: 2px solid #f4f4f4;
    border-radius: 10px;
    margin-top: 1rem;
}
    
.select2-results__options {
    list-style: none;
    margin: 0;
    padding: 20px !important;
}

@media (min-width: 1025px) {
    body.archive .select2-container--default .select2-results__option--highlighted[aria-selected], body.archive .select2-container--default .select2-results__option--highlighted[data-selected] {
        border-radius: 10px;
    }
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border: 3px solid #f4f4f4 !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
    color: var(--rosso-scuro) !important;
        background-color: var(--grigioEC) !important;
    color: #fff;
    border-radius: 10px;
}


/** campo codice promozionale mobile carrello**/
@media (max-width: 768px) {
    body.woocommerce-cart form.woocommerce-cart-form td.actions .coupon input.input-text {
        border: 3px solid var(--perlaF4) !important;
        border-radius: 10px;
        padding: 10px;
                margin-bottom: 1rem !important;
    }
}
    
    
    .select2-container--default .select2-selection--single .select2-selection__clear {
    cursor: pointer;
    float: inherit !important;
    font-weight: bold;
    padding-right: 30px;
    font-size: 25px;
}

/**padding scroll carosello dipendenti **/
body.page-template-template_gruppo section#team .row_dipendenti .dipendenti_snap {
    padding-bottom: 2rem;
}

/**casella quantità carrello **/
.woocommerce .quantity .qty {
border: 3px solid var(--perlaF4) !important;
    border-radius: 5px;
}


.woocommerce-info {
    border-top-color: #4c4c4c !important;
    border-radius: 10px;
    margin-top: 32px !important;
}

.woocommerce-info::before {
    color: #4c4c4c !important;
}


.woocommerce-error {
    border-radius: 10px;
    margin: 1em 0 2em !important;
}

.woocommerce-message
{
    border-radius: 10px;
    margin-top: 32px !important;
}

.woocommerce-checkout
{
    padding-bottom: 3rem;
}


#bosica_woo_product_class .woocommerce-loop-product__title {
    font-size: 22px !important;
}

@media (min-width: 1025px) {
.certificazione_contenuto {
font-size:18px;
}
}


@media (min-width: 1025px){
	body.page-template-template_grandi_aziende section#qualita .col_certificazioni_loop .certificazioni_slick .certificazione_item figure img,
	body.page-template-template_gruppo section#qualita .col_certificazioni_loop .certificazioni_slick .certificazione_item figure img {
		max-height: 90px;
		width: auto;
	}
}


h1, h1 a, .heading-1 {
    font-family: 'Avenir-black' !important;
    color: var(--rosso-scuro) !important;
}

@media (min-width: 1025px) {
    .header-item-commerce__inner .item-commerce-account > a {
        font-size: 18px !important;
    }
}

body.archive.woocommerce section#single_relateds article .post_title__heading, body.archive.woocommerce section#single_relateds article .post_title__heading a, body.single-post section#single_relateds article .post_title__heading, body.single-post section#single_relateds article .post_title__heading a, body.archive section#blog .col_content .post_title__heading, body.archive section#blog .col_content .post_title__heading a, body.search section#search .col_content .post_title__heading, body.search section#search .col_content .post_title__heading a, body.blog section#blog .col_content .post_title__heading, body.blog section#blog .col_content .post_title__heading a {
    font-family: 'Avenir-black' !important;
    color: var(--rosso-scuro) !important;
    text-decoration: none !important;
}


body.single-post section#articolo .col_sidebar .post_title__heading, body.single-post section#articolo .col_sidebar .post_title__heading a, body.archive section#blog .col_sidebar .post_title__heading, body.archive section#blog .col_sidebar .post_title__heading a, body.search section#search .col_sidebar .post_title__heading, body.search section#search .col_sidebar .post_title__heading a, body.blog section#blog .col_sidebar .post_title__heading, body.blog section#blog .col_sidebar .post_title__heading a {
    font-family: 'Avenir-black' !important;
    font-size: 21.3px !important;
    line-height: 34.7px !important;
    color: var(--grigio4c) !important;
}

.col_sidebar .post_title__heading a
{
    color: #707070 !important;
    text-decoration: unset;
}

.col_sidebar .latest_news .latest_news_section_title p {
font-family: 'Avenir-black' !important;
}


@media (min-width: 361px) {
    .page-id-11 h2, .page-id-11 h2 a, .page-id-11 .heading-2 {
        font-size: 32px !important;
    }
}


.woocommerce-account .addresses .title .edit {
    float: left !important;
}


@media (min-width: 1025px) {
    .woocommerce-account .woocommerce-MyAccount-content {
        border: 3px solid var(--perlaF4);
        border-radius: 10px;
        padding: 5rem 2rem;
    }
}


.woocommerce table.my_account_orders td, .woocommerce table.my_account_orders th {
    padding: 19px 22px !important;
}

.woocommerce table.my_account_orders .button {
    white-space: nowrap;
    padding: 0.5em 1em;
}

body.single-product div.product .woocommerce-tabs .woocommerce-Tabs-panel--schedetecniche .schede_pdf_wrap a.scheda_pdf_href {
    background-color: #f4f4f4 !important;
    color: #4c4c4c !important;
    padding: 5px 20px;
    border-radius: 10px !important;
}

@media (max-width: 1025px) {
.schede_pdf_wrap {
padding-bottom:20px;
}
}

@media (min-width: 1025px) {
.top-section-title {
    background-color: var(--grigioEC);
    background-image: url('https://bosica.eu/wp-content/uploads/2024/10/background-title.png');
     background-size: cover; 
  background-repeat: no-repeat; 
  background-position: center; 
  background-blend-mode: multiply; 
}
}

/* Limita i titoli dei prodotti a un massimo di due righe */
.woocommerce-loop-product__title {
    display: -webkit-box;
    -webkit-line-clamp: 2; /* Numero massimo di righe */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}







.certificato-container {
  max-width: 400px; /* Larghezza massima del contenitore */
  position: relative;
}

#certificato-content {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 3; /* Numero di righe visibili */
  transition: max-height 0.3s ease;
}

#certificato-content.expanded {
  -webkit-line-clamp: unset; /* Disabilita il tronco */
  max-height: none; /* Rimuove l'altezza massima */
}

#certificato-button {
    background: #f4f4f4;
    color: #4c4c4c;
    border: none;
    cursor: pointer;
    padding: 0 20px;
    margin-top: 10px;
    border-radius: 50px;
}

@media (min-width: 1025px) {
    body.page-template-template_grandi_aziende section#qualita .col_certificazioni_loop .certificazioni_slick .certificazione_item, body.page-template-template_gruppo section#qualita .col_certificazioni_loop .certificazioni_slick .certificazione_item {
        padding: 3rem;
        margin-bottom: 0px !important;
    
    }
}

@media (min-width: 1025px) {
.page-id-6556 #qualita {
margin-bottom: 1rem !important;
  }
}


body.page-template-template_gruppo section#sicurezza figure {
    background-blend-mode: multiply;
    }
    
    
.post-type-archive-product .dropdownTerm_product_filtri {
display:none !important;
  }

body.archive .col_sidebar [id*="woocommerce_layered_nav"] h4 {
    display: block !important;
    font-family: 'Avenir-black' !important;
    font-size: 21.3px !important;
        line-height: 34.6px !important;
        color:#4c4c4c !important;
}


.dropdown-menu-filtri li .count {
    display: none !important;
}


.woocommerce_layered_nav {
    margin-bottom: 2em;
}

@media (min-width: 1025px) {
    body.archive .col_sidebar [id*="woocommerce_layered_nav"]  {
        margin-bottom: 40px !important;
    }
}


body.archive .col_sidebar #dropdownTerm .dropdown-menu li a:hover {
    border-radius:10px;
}

body.archive .col_sidebar #dropdownTerm .dropdown-menu li a[selected="selected"] {
    border-radius:10px;
}

/* Rimuove il pallino quando il filtro è selezionato */
.woocommerce-widget-layered-nav-list__item--chosen::before {
    display:none !important;
}

.woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item::before {
    font-family: WooCommerce;
    speak: never;
    font-weight: 400;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    margin-right: .618em;
    content: "+" !important;
    text-decoration: none;
    color: #4c4c4c !important;
}
    
    
.woocommerce .woocommerce-widget-layered-nav-list .woocommerce-widget-layered-nav-list__item {
    padding: 0 0 1px;
    list-style: none;
    display: flex;
    align-items: baseline;
}


body.archive .col_sidebar #dropdownTerm .dropdown-menu li a {
    border-bottom: 0px solid var(--perlaF4); 
}


.woocommerce form .form-row select {
    cursor: pointer;
    margin: 0;
    border-radius: 5px;
    background-color: #fff !important;
    border: 3px solid var(--perlaF4) !important;
    border-radius: 10px !important;
    outline: 0;
    padding: 0.5rem !important;
}



.woocommerce ul.order_details {
    padding-left: 0rem;
    padding-top: 1rem;
}



/* Contenitore principale del carosello */
.swiper-container {
    width: 100%;
    overflow: hidden;
}

.swiper-wrapper {
    display: flex;

}

.swiper-wrapper {
    transition-timing-function: ease-in-out; /* Anima lo scroll in modo fluido */
}

/* Singolo elemento del carosello */

.swiper-slide {
    display: flex;

    justify-content: center; /* Centra gli elementi nella slide */
    flex-direction: row; /* Immagine a sinistra, testo a destra */
    padding: 20px;
    box-sizing: border-box; /* Include il padding nelle dimensioni */
    transition: transform 0.3s ease-in-out; /* Anima lo scroll */
}

/* Foto del dipendente */
.dipendente_foto figure {
    border-radius: 1rem;
}

.dipendente_foto img {

    height: 100%;
    width: 180px;
    object-fit: cover; /* Ritaglia l'immagine proporzionalmente */
    border-radius:1rem;
}

.dirigente_foto img {

    height: 100%;
    width: 180px;
    object-fit: cover; /* Ritaglia l'immagine proporzionalmente */
    border-radius:1rem;
}

/* Testo del dipendente */
.dipendente_desc {
    display: flex;
    flex-direction: column !important; /* Allinea nome e ruolo verticalmente */
}

@media (max-width: 1024px){
.dipendente_desc {
    padding-right: 20px;
}
}

.dipendente_nome {
    font-size: 18px;
    font-weight: bold;
}

.dipendente_ruolo {
    font-size: 14px;
}



/* nasconde il separatore data dagli articoli faq e progetti */
.hide-separator .post_meta_separator {
    display: none;
}


/* style dei filtri sidebar woocommerce*/
.bapf_sfilter.bapf_ckbox input[type=checkbox] {
    margin-right: 25px;
    cursor: pointer;
}

@media (max-width: 1024px){
.bapf_sfilter {
    margin-bottom: 40px !important;
}
}

.bapf_radio_chck ul li input[type=checkbox] {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    display: inline-block;
    vertical-align: middle;
    border: 2px solid #4c4c4c;
    width: 25px;
    height: 25px;
    outline: 0;
    border-radius: 5px;
    padding: 2px;
    margin-right: 5px;
    position: relative;
}


.bapf_radio_chck ul li input[type=checkbox]:checked:after {
    content: "";
    width: 10px;
    height: 10px;
    border-bottom: 2px solid #4c4c4c;
    border-right: 2px solid #4c4c4c;
    display: block;
    position: absolute;
    top: 4px;
    left: 5px;
    transform: rotate(45deg);
}

.bapf_sfilter {
    margin-bottom: 20px;
    margin-left: 20px;
}

.bapf_sfilter.bapf_ckbox input[type=checkbox]:checked {
    background-color: #ece6e6;
}


@media (max-width: 1024px){
.bapf_sfilter ul li {
    margin-bottom: 20px !important;
}
}

.bapf_sfilter ul li {
    margin-bottom: 10px !important;
}

.bapf_show_hide {
    cursor: pointer;
    color: #da000f;
}

/*testo introduttivo quiz*/
.quiz-header-intro {
    text-align: center; /* Centra il testo orizzontalmente */
    padding: 20px 0; /* Aggiunge spazio sopra e sotto */
    margin-bottom: 50px; /* Spazio sotto la sezione */
}


/*stile per salvare i carrelli*/
button.button.wsc_share_cart {
    margin-top: 10px !important;
    color: var(--grigio4c) !important;
        background-color: transparent !important;
        border: 3px solid var(--perlaF4) !important;
    font-size: 14px !important;
        border-radius: 10px !important;
        width:30%;
            padding: 5px 10px !important;
}

button.button.wsc_save_share_cart {
    margin-top: 10px !important;
    color: var(--grigio4c) !important;
        background-color: transparent !important;
        border: 3px solid var(--perlaF4) !important;
    font-size: 14px !important;
        border-radius: 10px !important;
        width:30%;
            padding: 5px 10px !important;
}

/* Posizionare i pulsanti nella stessa larghezza */
.wsc_save_share_cart_btns {
    display: flex;
    flex-direction: column; /* Disporre i pulsanti in verticale */
    gap: 10px; /* Spazio tra i pulsanti */
    margin-top: 10px; /* Spazio sopra per separare dal pulsante "Aggiorna Carrello" */
    align-items: flex-end; /* Allinea i pulsanti a destra */
}

.wsc_save_share_cart_btns .button {
    width: auto; /* Mantieni i pulsanti con larghezza automatica */
}

.wsc_popup_head {
    background: #ece6e6 !important;
}

.wsc_save_cart_title {
    border-radius: 10px;
    border: 2px solid #f4f4f4; 
    padding: 8px; 
    outline: none;
    width: 100%; 
    box-sizing: border-box;
}

.wsc_save_cart_continue {
    display:none;
}



.wsc_save_popup_content {
    padding: 25px;
}


.wsc_save_cart_save {
    margin-top: 10px !important;
    color: var(--grigio4c) !important;
        background-color: #f4f4f4 !important;
        border: 3px solid var(--perlaF4) !important;
        border-radius: 10px !important;
        width:30%;
            padding: 5px 10px !important;
}

.wsc_user_carts table td, 
.wsc_user_carts table th {
    padding: 10px; 
    text-align: left; 
    vertical-align: middle; 
    width:100%;
}


.wsc_user_carts table th:nth-child(1), 
.wsc_user_carts table td:nth-child(1),
.wsc_user_carts table th:nth-child(3), 
.wsc_user_carts table td:nth-child(3) {
    display: none;
}

.woocommerce-Button--previous {
    margin-right:24px !important;
}


.wsc_save_share_cart_popup {
    border-radius:20px !important;
}

.wsc_share_cart_popup{
    border-radius:20px !important;
}


.wsc_popup_head {
    box-shadow: none !important;
}


.wsc_popup_head h4 {
    color: #000;
    font-size: 24px !important;
}

/* campo dinamico azienda risultati quiz*/
.company-name-highlight {
    color: #da0010;
}


/* Mantiene lo stile dei titoli shop ovunque tranne nella pagina "Quiz Result Page" */
body.quiz-result-page .woocommerce-loop-product__title {
    display: block !important; /* Evita il troncamento */
    -webkit-line-clamp: unset !important; /* Rimuove il limite di righe */
    -webkit-box-orient: unset !important; /* Disabilita il box orient */
    overflow: visible !important; /* Rende visibile tutto il contenuto */
    text-overflow: unset !important; /* Disabilita i puntini di sospensione */
}


@media (max-width: 1024px){
body.woocommerce-checkout .content_holder {
    padding-top: 1rem !important;
}
}


@media only screen and (max-width: 1024px) {
    body.woocommerce-checkout table.shop_table {
        table-layout: fixed !important; /* Forza larghezza fissa */
        width: 100%;
    }

    body.woocommerce-checkout table.shop_table tbody th,
    body.woocommerce-checkout table.shop_table tfoot th {
        width: 30% !important; /* Restringe la colonna sinistra */
        text-align: left; /* Allinea il testo */
        word-wrap: break-word; /* Gestisce parole lunghe */
    }

    body.woocommerce-checkout table.shop_table tbody td,
    body.woocommerce-checkout table.shop_table tfoot td {
        width: 70% !important; /* Espande la colonna destra */
    }
}

.order-total {
    font-size:24px;
}
}


